# boost::lockfree::atomic_cas32 Struct Reference

List of all members.

## Detailed Description

Definition at line 94 of file cas.hpp.

## Public Types

typedef uint32_t | cas_type

## Static Public Member Functions

static bool | cas (volatile uint32_t *addr, uint64_t const &old, uint64_t const &nw)

## Static Public Attributes

static const bool | is_lockfree = true

The documentation for this struct was generated from the following file:

- common/include/boost/lockfree/detail/cas.hpp